Subject: bug#43389: 28.0.50; Emacs memory leaks using hard disk all time

From: Trevor Bentley <[email-masked]>
Date: Sun, 13 Dec 2020 21:41:40 +0100

> Does thread-last-error return something non-nil? 

Nope, nil in all instance, including the one in a weird state.

I'm running one instance with printfs in some of the 
unblock_input() functions, and one in gdb with breakpoints on 
Fmake_thread, pthread_create, and emacs_abort.  If you have other 
suggested probe points, I'm happy to test.

Opening 10 emacses at a time seems to be going better for 
reproducing.  Sometimes it triggers in an hour, sometimes in 3 
days, but if I just flood the system with emacs processes I tend 
to hit it within a day.

-Trevor